CRAN Package Check Results for Package nloptr

Last updated on 2021-04-19 09:50:51 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.2.2.2 8.71 48.56 57.27 OK
r-devel-linux-x86_64-debian-gcc 1.2.2.2 5.26 37.39 42.65 OK
r-devel-linux-x86_64-fedora-clang 1.2.2.2 80.51 OK
r-devel-linux-x86_64-fedora-gcc 1.2.2.2 70.79 OK
r-devel-windows-ix86+x86_64 1.2.2.2 14.00 87.00 101.00 ERROR
r-devel-windows-x86_64-gcc10-UCRT 1.2.2.2 OK
r-patched-linux-x86_64 1.2.2.2 6.57 46.26 52.83 OK
r-patched-solaris-x86 1.2.2.2 239.40 OK
r-release-linux-x86_64 1.2.2.2 6.87 46.24 53.11 OK
r-release-macos-x86_64 1.2.2.2 WARN
r-release-windows-ix86+x86_64 1.2.2.2 14.00 100.00 114.00 OK
r-oldrel-macos-x86_64 1.2.2.2 WARN
r-oldrel-windows-ix86+x86_64 1.2.2.2 10.00 95.00 105.00 OK

Check Details

Version: 1.2.2.2
Check: running tests for arch ‘x64’
Result: ERROR
     Running 'test-all.R' [11s]
    Running the tests in 'tests/test-all.R' failed.
    Complete output:
     > if(require("testthat", quietly = TRUE)) {
     + test_check("nloptr")
     + } else {
     + print( "package 'testthat' not available, cannot run unit tests" )
     + }
     Loading required package: nloptr
     == Failed tests ================================================================
     -- Failure (test-options-maxtime.R:45:5): Test that solver stops when maxtime is reached. --
     res$status not equal to 6L.
     1/1 mismatches
     [1] 1 - 6 == -5
    
     [ FAIL 1 | WARN 0 | SKIP 0 | PASS 46 ]
     Error: Test failures
     Execution halted
Flavor: r-devel-windows-ix86+x86_64

Version: 1.2.2.2
Check: whether package can be installed
Result: WARN
    Found the following significant warnings:
     clang: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated [-Wdeprecated]
     DIRsubrout.c:505:10: warning: explicitly assigning value of variable of type 'integer' (aka 'int') to itself [-Wself-assign]
     hybrid.c:91:12: warning: 'nlopt_minimize' is deprecated [-Wdeprecated-declarations]
     newuoa.c:184:9: warning: 'nlopt_minimize_constrained' is deprecated [-Wdeprecated-declarations]
     newuoa.c:1241:10: warning: 'nlopt_minimize_constrained' is deprecated [-Wdeprecated-declarations]
     general.c:134:38: warning: 'syscall' is deprecated: first deprecated in macOS 10.12 - syscall(2) is unsupported; please switch to a supported interface. For SYS_kdebug_trace use kdebug_signpost(). [-Wdeprecated-declarations]
     ./f77funcs.h:57:14: warning: 'nlopt_minimize_constrained' is deprecated [-Wdeprecated-declarations]
     ./f77funcs.h:96:6: warning: 'nlopt_get_local_search_algorithm' is deprecated [-Wdeprecated-declarations]
     ./f77funcs.h:104:6: warning: 'nlopt_set_local_search_algorithm' is deprecated [-Wdeprecated-declarations]
     ./f77funcs.h:109:13: warning: 'nlopt_get_stochastic_population' is deprecated [-Wdeprecated-declarations]
     ./f77funcs.h:113:6: warning: 'nlopt_set_stochastic_population' is deprecated [-Wdeprecated-declarations]
     testopt.cpp:218:11: warning: 'nlopt_minimize' is deprecated [-Wdeprecated-declarations]
Flavor: r-release-macos-x86_64

Version: 1.2.2.2
Check: whether package can be installed
Result: WARN
    Found the following significant warnings:
     clang-7: warning: treating 'c' input as 'c++' when in C++ mode, this behavior is deprecated [-Wdeprecated]
     DIRsubrout.c:505:10: warning: explicitly assigning value of variable of type 'integer' (aka 'int') to itself [-Wself-assign]
Flavor: r-oldrel-macos-x86_64